Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri
Class Modules

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Module>
                  dioscuri.Modules

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Module>, java.util.Collection<Module>, java.util.List<Module>, java.util.RandomAccess

    public class Modules

extends java.util.ArrayList<Module>

Author:
  Bram Lohman, Bart Kiers
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Modules()`
`Modules(int capacity)`

Method Summary
`boolean` | `addModule(Module module)`
`Module` | `getModule(int index)`
`Module` | `getModule(Module.Type type)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### Modules

    public Modules()

### Modules

    public Modules(int capacity)

Parameters:
  `capacity` -

Method Detail

### addModule

    public boolean addModule(Module module)

  Parameters:
    `module` -
  Returns:
    -

### getModule

    public Module getModule(Module.Type type)

### getModule

    public Module getModule(int index)

  Parameters:
    `index` -
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD